## DROP FUNCTION-Anweisung (drop_function_statement)

Die DROP-FUNCTION-Anweisung (drop_function_statement) löscht eine Datenbankfunktion.

### Syntax

<drop_function_statement> ::= DROP [PUBLIC] FUNCTION <dbfunction_nam e>

### Beispiele

SQL-Tutorial, Datenbankfunktionen

### Erläuterung

Wenn im Datenbankfunktionsnamen kein Schema angegeben ist, wird implizit das aktuelle Schema angenommen.

Der aktuelle Benutzer muss Eigentümer der Datenbankfunktion sein oder das DROPIN-Privileg für das Schema besitzen, dem die Datenbankfunktion zugeordnet ist.

Die Metadaten der Datenbankfunktion werden gelöscht.

#### PUBLIC

Wenn Sie eine Datenbankfunktion löschen wollen, die mit der Eigenschaft PUBLIC angelegt wurde, müssen Sie die DROP PUBLIC FUNCTION-Anweisung für diese Funktion verwenden.